## ros-melodic-moveit-setup-assistant 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_setup_assistant)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  # suppress warning in Ogre
  add_compile_options(-Wno-deprecated-register)
endif()

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED COMPONENTS thread filesystem system program_options)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  rviz
  rosconsole
  roscpp
  urdf
  srdfdom
)
include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
endif()
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

# Support new yaml-cpp API.
find_package(PkgConfig)
pkg_check_modules(YAMLCPP REQUIRED yaml-cpp>=0.5)
include_directories(${YAMLCPP_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_tools
  CATKIN_DEPENDS
    moveit_ros_planning
    moveit_ros_visualization
    roscpp
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  src/widgets/navigation_widget.h
  src/widgets/header_widget.h
  src/widgets/setup_assistant_widget.h
  src/widgets/start_screen_widget.h
  src/widgets/planning_groups_widget.h
  src/widgets/double_list_widget.h
  src/widgets/kinematic_chain_widget.h
  src/widgets/group_edit_widget.h
  src/widgets/default_collisions_widget.h
  src/widgets/robot_poses_widget.h
  src/widgets/end_effectors_widget.h
  src/widgets/virtual_joints_widget.h
  src/widgets/passive_joints_widget.h
  src/widgets/perception_widget.h
  src/widgets/ros_controllers_widget.h
  src/widgets/controller_edit_widget.h
  src/widgets/configuration_files_widget.h
  src/widgets/setup_screen_widget.h
  src/widgets/simulation_widget.h
  src/widgets/author_information_widget.h
)

# Tools Library
add_library(${PROJECT_NAME}_tools
  src/tools/compute_default_collisions.cpp
  src/tools/moveit_config_data.cpp
  src/tools/collision_linear_model.cpp
  src/tools/collision_matrix_model.cpp
  src/tools/rotated_header_view.cpp
)
set_target_properties(${PROJECT_NAME}_tools PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_tools
  ${YAMLCPP_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
)

# Main Widgets Library - all screens (navigation options)
add_library(${PROJECT_NAME}_widgets
  src/widgets/start_screen_widget.cpp
  src/widgets/planning_groups_widget.cpp
  src/widgets/double_list_widget.cpp
  src/widgets/kinematic_chain_widget.cpp
  src/widgets/group_edit_widget.cpp
  src/widgets/default_collisions_widget.cpp
  src/widgets/robot_poses_widget.cpp
  src/widgets/end_effectors_widget.cpp
  src/widgets/virtual_joints_widget.cpp
  src/widgets/passive_joints_widget.cpp
  src/widgets/perception_widget.cpp
  src/widgets/configuration_files_widget.cpp
  src/widgets/ros_controllers_widget.cpp
  src/widgets/controller_edit_widget.cpp
  src/widgets/navigation_widget.cpp
  src/widgets/header_widget.cpp
  src/widgets/setup_assistant_widget.cpp
  src/widgets/setup_screen_widget.cpp
  src/widgets/simulation_widget.cpp
  src/widgets/author_information_widget.cpp
  ${HEADERS}
)
set_target_properties(${PROJECT_NAME}_widgets PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_widgets
  ${PROJECT_NAME}_tools
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# executables
add_executable(${PROJECT_NAME} src/setup_assistant_main.cpp)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  ${QT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} log4cxx)

add_executable(${PROJECT_NAME}_updater src/collisions_updater.cpp )
target_link_libraries(${PROJECT_NAME}_updater
  ${PROJECT_NAME}_tools ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${PROJECT_NAME}_updater
                      PROPERTIES OUTPUT_NAME collisions_updater
                      PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_updater
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Unit tests
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_reading_writing_config test/moveit_config_data_test.cpp)
  target_link_libraries(test_reading_writing_config ${PROJECT_NAME}_tools)
endif()

## ros-melodic-moveit-setup-assistant 1.0.7

=== debian/changelog ===
ros-melodic-moveit-setup-assistant (1.0.7-1stretch) stretch; urgency=high

  * [feature] MSA: Fix group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [feature] MSA: Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [fix] MSA launch files: fix indentation (#2371 <https://github.com/ros-planning/moveit/issues/2371>)
  * [fix] Segfault when editing pose in moveit_setup_assistant (#2340 <https://github.com/ros-planning/moveit/issues/2340>)
  * [fix] robot_description is already loaded in move_group.launch (#2313 <https://github.com/ros-planning/moveit/issues/2313>)
  * [fix] MSA: only write default_planner_config field if any is selected (#2293 <https://github.com/ros-planning/moveit/issues/2293>)
  * [fix] MSA: Fix disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: David V. Lu!!, Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Dave Coleman <dave@picknik.ai>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.6-1stretch) stretch; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10, fix warnings
  * [fix]   Define planning adapters for chomp planning pipeline (#2242 <https://github.com/ros-planning/moveit/issues/2242>)
  * [maint] Remove urdf package as build_depend from package.xml (#2207 <https://github.com/ros-planning/moveit/issues/2207>)
  * Contributors: Jafar Abdi, Robert Haschke, tnaka, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.5-1stretch) stretch; urgency=high

  * [fix]     Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] Add use_rviz to demo.launch in setup_assistant (#2019 <https://github.com/ros-planning/moveit/issues/2019>)
  * Contributors: Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.3-1stretch) stretch; urgency=high

  * [feature] Allow loading of additional kinematics parameters file (#1997 <https://github.com/ros-planning/moveit/issues/1997>)
  * [feature] Allow adding initial poses to fake_controllers.yaml (#1892 <https://github.com/ros-planning/moveit/issues/1892>)
  * [feature] Display robot poses on selection, not only on click (#1930 <https://github.com/ros-planning/moveit/issues/1930>)
  * [fix]     Fix invalid iterator (#1623 <https://github.com/ros-planning/moveit/issues/1623>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * [feature] Add joint state controller config by default (#1024 <https://github.com/ros-planning/moveit/issues/1024>)
  * Contributors: AndyZe, Daniel Wang, Felix von Drigalski, Jafar Abdi, Max Krichenbauer, Michael Görner, Mohmmad Ayman, Robert Haschke, Sandro Magalhães, Sean Yen, Simon Schmeisser, Tejas Kumar Shastha, Yu, Yan, v4hn

 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.2-1stretch) stretch; urgency=high

  * [fix]     static transform publisher does not take a rate (#1494 <https://github.com/ros-planning/moveit/issues/1494>)
  * [feature] Add arguments load_robot_description, pipeline, rviz config_file  to launch file templates (#1397 <https://github.com/ros-planning/moveit/issues/1397>)
  * Contributors: Mike Lautman, Robert Haschke, jschleicher

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.1-1stretch) stretch; urgency=high

  * [fix] re-add required build dependencies (#1373 <https://github.com/ros-planning/moveit/issues/1373>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Isaac I.Y. Saito, Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [fix] memory leaks (#1292 <https://github.com/ros-planning/moveit/issues/1292>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] support dark themes (#1173 <https://github.com/ros-planning/moveit/issues/1173>)


=== debian/control ===
Source: ros-melodic-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-visualization, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosunit, ros-melodic-rviz, ros-melodic-srdfdom (>> 0.3.1), ros-melodic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-visualization, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-srdfdom (>> 0.3.1), ros-melodic-urdf, ros-melodic-xacro
Description: Generates a configuration package that makes it easy to use MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-setup-assistant//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-setup-assistant 1.0.11

=== debian/changelog ===
ros-melodic-moveit-setup-assistant (1.0.11-1bionic) bionic; urgency=high

  * Pass xacro_args to both, urdf and srdf loading (#3200 <https://github.com/ros-planning/moveit/issues/3200>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.10-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
      * Rename launch argument execution_type -> fake_execution_type
    
  * Templates: Fix passing capabilities arguments (#2729 <https://github.com/ros-planning/moveit/issues/2729>)
  * Fix writing an empty sensor config (#2708 <https://github.com/ros-planning/moveit/issues/2708>)
  * Contributors: David V. Lu!!, G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.8-1bionic) bionic; urgency=high

  * Let users override fake execution type from demo.launch (#2602 <https://github.com/ros-planning/moveit/issues/2602>)
  * Fix segfault in MSA when a group was defined without ``ns`` attribute (#2564 <https://github.com/ros-planning/moveit/issues/2564>)
  * Missing RViz and moveit_simple_controller_manager dependencies in MSA template (#2455 <https://github.com/ros-planning/moveit/issues/2455>)
  * Fix empty sequence in moveit_setup_assistant (#2406 <https://github.com/ros-planning/moveit/issues/2406>)
  * Add pilz_industrial_motion_planner to moveit_planners (#2507 <https://github.com/ros-planning/moveit/issues/2507>)
  * Contributors: David V. Lu!!, Immanuel Martini, Michael Görner, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.7-1bionic) bionic; urgency=high

  * [feature] MSA: Fix group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [feature] MSA: Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [fix] MSA launch files: fix indentation (#2371 <https://github.com/ros-planning/moveit/issues/2371>)
  * [fix] Segfault when editing pose in moveit_setup_assistant (#2340 <https://github.com/ros-planning/moveit/issues/2340>)
  * [fix] robot_description is already loaded in move_group.launch (#2313 <https://github.com/ros-planning/moveit/issues/2313>)
  * [fix] MSA: only write default_planner_config field if any is selected (#2293 <https://github.com/ros-planning/moveit/issues/2293>)
  * [fix] MSA: Fix disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: David V. Lu!!, Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Dave Coleman <dave@picknik.ai>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.6-1bionic) bionic; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10, fix warnings
  * [fix]   Define planning adapters for chomp planning pipeline (#2242 <https://github.com/ros-planning/moveit/issues/2242>)
  * [maint] Remove urdf package as build_depend from package.xml (#2207 <https://github.com/ros-planning/moveit/issues/2207>)
  * Contributors: Jafar Abdi, Robert Haschke, tnaka, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.5-1bionic) bionic; urgency=high

  * [fix]     Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] Add use_rviz to demo.launch in setup_assistant (#2019 <https://github.com/ros-planning/moveit/issues/2019>)
  * Contributors: Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.4-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-setup-assistant (1.0.3-1bionic) bionic; urgency=high

  * [feature] Allow loading of additional kinematics parameters file (#1997 <https://github.com/ros-planning/moveit/issues/1997>)
  * [feature] Allow adding initial poses to fake_controllers.yaml (#1892 <https://github.com/ros-planning/moveit/issues/1892>)
  * [feature] Display robot poses on selection, not only on click (#1930 <https://github.com/ros-planning/moveit/issues/1930>)
  * [fix]     Fix invalid iterator (#1623 <https://github.com/ros-planning/moveit/issues/1623>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
-Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-visualization, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosunit, ros-melodic-rviz, ros-melodic-srdfdom (>> 0.3.1), ros-melodic-urdf
+Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-panda-moveit-config <!nocheck>, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-visualization, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosunit <!nocheck>, ros-melodic-rviz, ros-melodic-srdfdom (>> 0.3.1), ros-melodic-urdf
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
